%define url_ver		%(echo %{version}|cut -d. -f1,2)

%define oversion 3.36.4

Summary:		GNOME web browser based on the webkit rendering engine
Name:			epiphany
Version:		3.38.0
Release:		%mkrel 2
License:		GPLv2+ and GFDL
Group:			Networking/WWW
URL:			https://wiki.gnome.org/Apps/Web
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{oversion}.tar.xz
Source1:        org.gnome.Epiphany.svg
Source2:        org.gnome.Epiphany-symbolic.svg
Source3:        org.gnome.Epiphany.desktop
BuildRequires:		meson
BuildRequires:		pkgconfig(avahi-client)
BuildRequires:		pkgconfig(avahi-gobject)
BuildRequires:		pkgconfig(gcr-3)
BuildRequires:		pkgconfig(gio-unix-2.0)
BuildRequires:		pkgconfig(glib-2.0)
BuildRequires:		pkgconfig(json-glib-1.0)
BuildRequires:		pkgconfig(libdazzle-1.0)
BuildRequires:		pkgconfig(gmodule-2.0)
BuildRequires:		pkgconfig(gnome-keyring-1)
BuildRequires:		pkgconfig(gsettings-desktop-schemas)
BuildRequires:		pkgconfig(gthread-2.0)
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		pkgconfig(gtk+-unix-print-3.0)
BuildRequires:		pkgconfig(hogweed)
BuildRequires:		pkgconfig(iso-codes)
BuildRequires:		pkgconfig(libnotify)
BuildRequires:		pkgconfig(libsecret-1)
BuildRequires:		pkgconfig(libsoup-gnome-2.4)
BuildRequires:		pkgconfig(libwnck-3.0)
BuildRequires:		pkgconfig(libxml-2.0)
BuildRequires:		pkgconfig(libxslt)
BuildRequires:		pkgconfig(nss)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		pkgconfig(webkit2gtk-4.0) >=  2.22.0
BuildRequires:		pkgconfig(x11)
BuildRequires:		itstool
BuildRequires:		libxml2-utils
BuildRequires:		intltool
BuildRequires:		imagemagick
BuildRequires:		lib64handy-devel
BuildRequires:		lib64portal-devel

Provides:		webclient

Requires:		gnome-doc-utils
Requires:		indexhtml
Requires:		iso-codes
Requires:		dbus-x11
Requires:		glib-openssl
Requires:       lib64handy0.0_0
Requires:       xdg-dbus-proxy
Requires:       bubblewrap

%description
Epiphany is a GNOME web browser based on the webkit rendering engine.

The name means:
"An intuitive grasp of reality through something (as an event) usually
simple and striking".

%prep
%setup -qn %{name}-%{oversion}


%build

%meson -Ddistributor_name="PCLinuxOS"
%meson_build

%install
rm -rf %buildroot
%meson_install
%find_lang %{name} --with-gnome

#gw these are useless
rm -f %{buildroot}%{_datadir}/icons/LowContrastLargePrint/*/apps/*

#fix icons for trinity desktop 
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Epiphany.svg
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Epiphany-symbolic.svg
install -m 0644 %SOURCE3 %buildroot/%{_datadir}/applications/org.gnome.Epiphany.desktop

%files -f %{name}.lang
%{_bindir}/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/org.gnome.Epiphany.desktop
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Epiphany.SearchProvider.service
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libephymain.so
%{_libdir}/%{name}/libephymisc.so
%{_libdir}/%{name}/libephysync.so
%{_datadir}/glib-2.0/schemas/org.gnome.Epiphany.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/metainfo/org.gnome.Epiphany.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Epiphany*
%{_libexecdir}/%{name}-search-provider
%{_libexecdir}/epiphany/ephy-profile-migrator
%{_datadir}/help
%{_libdir}/epiphany/web-process-extensions/libephywebprocessextension.so
%{_datadir}/gnome-shell/search-providers/org.gnome.Epiphany.SearchProvider.ini

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%changelog
* Fri Sep 18 2020 tex - 3.38.0-2pclos2020
- back down to 3.36.4 for webkit 2.28.4

* Sat Sep 12 2020 tex - 3.38.0-1pclos2020
- new version

* Wed Aug 12 2020 tex - 3.36.4-1pclos2020
- new version

* Fri May 29 2020 tex - 3.36.2-1pclos2020
- new version

* Sat Mar 28 2020 tex - 3.36.1-1pclos2020
- new version

* Wed Mar 11 2020 tex - 3.36.0-1pclos2020
- new version

* Tue Feb 25 2020 tex - 3.34.4-2pclos2020
- fix icon so epiphany works in trinity

* Sun Feb 23 2020 tex - 3.34.4-1pclos2020
- new version

* Sat Jan 04 2020 tex - 3.34.3.1-1pclos2020
- new version

* Fri Nov 22 2019 tex - 3.34.2-1pclos2019
- new version

* Mon Oct 14 2019 tex - 3.34.1-2pclos2019
- rebuild against updates

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Mon Sep 09 2019 tex - 3.34.0-1pclos2019
- new version

* Thu Aug 01 2019 tex - 3.32.4-1pclos2019
- new version

* Sat Jul 27 2019 tex - 3.32.2-2pclos2019
- rebuild against updates

* Mon May 06 2019 tex - 3.32.2-1pclos2019
- new version

* Fri Mar 22 2019 tex 3.32.1.2-1pclos2019
- new version 3.32.1.2
